import React from 'react';

import { useMutation, useQuery, gql } from "@apollo/client";
import { GraphQLID } from 'graphql';
import DetailAnnonce from '../containers/detail-annonce'
const ListAnnonceItem = ({annonce}) => {

     const DELETE_ANNONCE_MUTATION = gql`
        mutation deleteAnnonce($annonceId: ID!) {
            deleteAnnonce(annonceId: $annonceId) {
                _id
                title
                type
                status
                published
                price
                description
                availabilityDate
                assessments {
                _id
                text
                }
            }
        }
    `;
    const GET_ANNONCE_QUERY = gql`
        query getAnnonceById($annonceId: ID!) {
            getAnnonceById(annonceId: $annonceId) {
            _id
            title
            type
            status
            published
            price
            description
            availabilityDate
            assessments {
                _id
                text 
                annonceId
                answers {
                _id
                text
                }
            }
            }
        }
    `;

    const onClick = (annonceId) => {
        const id = GraphQLID.parseValue(annonceId);
        deleteAnnonce({ variables: { annonceId: id } });        
    }   
    // const onConsult = (annonceId) => {
    //     const id = GraphQLID.parseValue(annonceId);
    //     getAnnonceById({ variables: { annonceId: id } }) 
    //     return <DetailAnnonce annonce = {data.annonce}/>  
    // }   
    // const [getAnnonceById, {
    //     data,
    //     loading,
    //     error,
    //   }] = useQuery(GET_ANNONCE_QUERY);

    const [deleteAnnonce, { 
        loading: mutationLoading,
        error: mutationError,
         
    }] = useMutation(DELETE_ANNONCE_MUTATION);

    if (mutationLoading) return 'Loading...';
    if (mutationError) return `Error! ${mutationError.message}`;

    return (
        <li>
            <img src="img.jpeg"/>
            <h3>{annonce.title}</h3>
            <button onClick={e => onClick(annonce._id)}>X</button>
            {/* <button onClick={e => onConsult(annonce._id)}>consulter</button> */}


        </li>
    )
        
}

export default ListAnnonceItem