import React, { Component } from 'react';
import { gql, useQuery } from '@apollo/client';

import ListAnnonceItem from '../components/list-annonce-item';

const GET_ANNONCES_QUERY = gql`
    query getAnnonces {
    annonces {
        _id
        title
        type
        status
        published
        price
        description
        availabilityDate
        assessments {
        _id
        text  
        annonceId
        }
    }
    }
`;

const ListAnnonce = () => {
    const { loading, error, data } = useQuery(GET_ANNONCES_QUERY);

    if (loading) return 'Loading...';
    if (error) return `Error! ${error.message}`;
    
    return(
        <div>
            <ul>
                {data.annonces.map((annonce, index) => {
                    return <ListAnnonceItem key={index} annonce = {annonce}/>
                    })
                }
            </ul>
        </div>
    )
}

export default ListAnnonce
